<div class="listing listing--activity listing--booking js-listing--postage">

	<?php echo $this->Form->radio('GiftVoucherPurchase.gift_voucher_delivery_option_id', [$data['GiftVoucherDeliveryOption']['id'] => ''], ['hiddenField' => false, 'class' => 'js-delivery-option']); ?>

	<div class="row js-listing--postage__toggle">

		<div class="col-xs-12 col-md-2">
			<?php
				$img = (empty($data['Image'][0])) ? 'no-image.png' : $data['Image'][0];
				echo $this->Image->resize($img, ['width' => 670, 'height' => 510, 'crop' => true, 'class' => 'listing__image']);
			?>
		</div>

		<div class="col-xs-12 col-sm-9 col-md-6">
			<h3><?php echo $this->I18n->translate($data, 'GiftVoucherDeliveryOption.name') ?></h3>

			<?php echo $this->I18n->translate($data, 'GiftVoucherDeliveryOption.description') ?>
		</div>

		<div class="col-xs-12 col-sm-3 col-md-3 col-md-push-1 text-center">
			<span class="listing__price">
				<h3><?php echo $data['GiftVoucherDeliveryOption']['price'] > 0 ? $this->Number->price($totalItems * $data['GiftVoucherDeliveryOption']['price']) : __('Free'); ?></h3>
			</span>
		</div>
	</div>

	<?php if ($data['GiftVoucherDeliveryOption']['online'] !== true): ?>

		<div class="js-listing--postage__content">
			<div class="row">
				<hr />
				<div class="col-xs-12">
					<h2><?php echo __d('BuzzVouchers', 'Please enter your delivery details'); ?></h2>
				</div>
				<div class="form--side-labels form--compact validate">
					<div class="col-xs-12 col-md-6">
						<h3><?php echo __d('BuzzVouchers', 'Delivery address'); ?></h3>
						<?php echo $this->Element('BuzzCustomers.address_form', ['model' => 'CustomerAddress.' . $data['GiftVoucherDeliveryOption']['id']]); ?>
					</div>
					<div class="col-xs-12 col-md-5">
						<h3><?php echo __d('BuzzVouchers', 'Personal message'); ?></h3>
						<?php echo $this->Form->input('GiftVoucherPurchase.gift_message', ['type' => 'textarea', 'label' => __d('BuzzVouchers', 'Personal message'), 'div' => 'input input--full textarea input--hide-label']); ?>
					</div>
				</div>
			</div>
		</div>

	<?php endif; ?>

</div>
<div class="content__spacer"></div>
